Bug 1310375 - Review Request: nodejs-qunitjs - An easy-to-use JavaScript Unit Testing framework
Review Request: nodejs-qunitjs - An easy-to-use JavaScript Unit Testing frame...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1310379 1311240
  Show dependency treegraph
 
Reported: 2016-02-20 22:32 EST by Jared Smith
Modified: 2016-02-23 12:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 09:41:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2016-02-20 22:32:20 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-qunitjs/nodejs-qunitjs.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-qunitjs/nodejs-qunitjs-1.21.0-1.fc24.src.rpm
Description: An easy-to-use JavaScript Unit Testing framework
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2016-02-21 14:39:52 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 45 files have unknown
     license. Detailed output of licensecheck in /home/tom/1310375-nodejs-
     qunitjs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Tom Hughes <tom@compton.nu>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-qunitjs-1.21.0-1.fc24.noarch.rpm
          nodejs-qunitjs-1.21.0-1.fc24.src.rpm
nodejs-qunitjs.noarch: W: only-non-binary-in-usr-lib
nodejs-qunitjs.src: W: invalid-url Source2: src-1.21.0.tar.bz2
nodejs-qunitjs.src: W: invalid-url Source1: tests-1.21.0.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-qunitjs.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-qunitjs (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-qunitjs:
    nodejs-qunitjs
    npm(qunitjs)



Source checksums
----------------
https://raw.githubusercontent.com/jquery/qunit/1.21.0/Gruntfile.js :
  CHECKSUM(SHA256) this package     : b695fdfbbb8ac62c25f97831e51911141a9d84b0a7369acae6cf3a80fcd092bb
  CHECKSUM(SHA256) upstream package : b695fdfbbb8ac62c25f97831e51911141a9d84b0a7369acae6cf3a80fcd092bb
https://registry.npmjs.org/qunitjs/-/qunitjs-1.21.0.tgz :
  CHECKSUM(SHA256) this package     : 093a3cbb90a710b30c2c9587a5d51c88712f3d59f44f89a2885edf033afe6c8b
  CHECKSUM(SHA256) upstream package : 093a3cbb90a710b30c2c9587a5d51c88712f3d59f44f89a2885edf033afe6c8b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1310375
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2016-02-21 14:41:45 EST
There is ASL 2.0 licensed code in src/diff.js so the license tag will need to reflect that. Not sure if we should also add a bundled() provide for that code?

Do we need to ship qunit.css? Not sure what it's for as the js never seems to touch it - presumably used if you run a qunit suite in a browser? If we do ship it then if should likely be in /usr/share anyway.

Maybe a good idea to remove the generated files in qunit in %setup to make sure we are generating new ones.
Comment 3 Jared Smith 2016-02-22 10:35:07 EST
Updated packaging:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-qunitjs/nodejs-qunitjs.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-qunitjs/nodejs-qunitjs-1.21.0-2.fc24.src.rpm

I added a note about the licensing, generated an additional license file for diff.js, removed qunit.css, and removed the generated files.
Comment 4 Tom Hughes 2016-02-22 10:56:55 EST
Is there a reason for constructing node_modules manually in %build instead of use "%nodejs_symlink_deps --build" to do it?
Comment 5 Jared Smith 2016-02-22 12:20:01 EST
Yeah -- I forgot that the --build flag existed for that macro.

Updated to use the macro instead:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-qunitjs/nodejs-qunitjs.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-qunitjs/nodejs-qunitjs-1.21.0-3.fc24.src.rpm
Comment 6 Tom Hughes 2016-02-22 12:30:01 EST
Great. Looks good now.
Comment 7 Gwyn Ciesla 2016-02-22 14:54:13 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-qunitjs

Note You need to log in before you can comment on or make changes to this bug.